PhycoBank - task #6044

cdm model changes/entensions for algea registry
08/30/2016 03:46 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: Model Estimated time: 0:00 hour
Target version: Technical planning completed

Description

The algea registry requires to store additional data in the CDM.

We are planing to extend the CDM classes TaxonNameBase and TypeDesignationBase by a field for a collection of multiple
registration records. Having them in a separate table has been considered as an option but is not feasible for all situations, since
multiple reegitrations may exist for a name or typification.

1. Reference publication date

Bei den Algen streben wir an, dass bei spaterer automatischer Registrierung Publikations- und Registrierungsdatum identisch ist.
Allerdings werden wir immer bei Printmedien die Diskrepanz zwischen Publikationsdatum und Registrierungsdatum haben. Ich
denke bei dem Publikationsdatum missen wir entscheiden, wie viel Information wir brauchen. Wir brauchen ein echtes Datumsfeld.
Fir Falle, in denen das exakte Datum nicht klar ist, kdnnte man das eine Datum mit einem Qualifier versehen (exact, before, after)
oder gleich 2 Daten angeben (Start oder exakt + Enddatum). Zusétzlich benétigen wir ein Textfeld, das das Datum erklért, z.B. wenn
publiziertes Datum und Publikationsdatum abweichen, oder man sich auf nicht verifizierte Quellen bezieht (z.B. der Verlag sagt, die
Publikation wurde im Dezember so abgeschickt, dass sie in den Bibliotheken noch im selben Monat angekommen sein muss).

Hier ist ein schdnes Beispiel fir Daten. Wir wiirden fir die Publikation das korrigierte Jahr angeben. In das Textfeld kdme der
Hinweis auf das gedruckte Publikationsdatum und die Quelle der Korrektur. Ich nehme an, das Publikationsdatum ist aus einem
spateren Volume entnommen oder es wurde beim Verlag nachgefragt.
http://archive.bgbm.org/scripts/ASP/registration/regDetail.asp?Key=8760

This is already covered by the cdm as Reference.datePublished

2. Registration data

TaxonNameBase [l1]-—————————
—-———[m] Registration
/
TypeDesignationBase [n]--—
As new CDM Class Registration

Registration of

¢ Name -> TaxonNameBase.registration
¢ Typisierung -> TypeDesignation.registration

2.1 Registration date

Registrierungsdatum einer Typisierung oder eines Namens zum oder nach dem Zeitpunkt der Publikation, also auch gleichzeitig das
Datum der Freischaltung / Publikation des Records.

¢ Registration.registrationDate asorg.joda.time.DateTime
2.1 Registration Identifier
¢ Registration.identifier as String

2.3 Registration center or office
http://archive.bgbm.org/scripts/ASP/registration/regDetail.asp?Key=8760

We expect that multiple registration centers could exists in parallel. In this case it would make sense to store a reference to the
registration center with the registration record.

¢ Registration.institution as Institution

Workflow status

During the workflow from the initial registration of a name to the final publication, a name record will undergo several state changes.
Forstates-the-CBM-Markers-ean-beused-

¢ Registration.status as enum (maybe DefinedTerm?)

For suggestion for states see #6168
Locking of Names and registration records

Once a name is published, further modification of the name must be prohibited, see also (#6017)

This could be achieved by withdrawing the permission to edit the name from the Author and from the Curator.
This step would be triggered by a state change to published.

Subtasks:
task # 6258: Add Registration to cdm model Closed

Related issues:
Related to PhycoBank - task #6168: Full registration workflow model Closed

History

#1 - 09/05/2016 11:57 AM - Andreas Miiller

Das verstehe ich nicht ganz.

Fragen: 1) Bei dem Ticket geht es um ein Datumsfeld fur Referenzen, nicht TaxonNamen? Sind aber die Registrierungen nicht eher
namensabhangig? D.h. in der gleichen Publikation kénnen mehrere Namen stehen, die im unglnstigen Fall an unterschiedlichen Tagen registriert
wurden?

2) Wenn das Feld fiir Referenzen eingefiihrt werden soll, gibt es dieses eigentlich bereits in Form von "datePublished" welches vom Typ TimePeriod
ist. TimePeriod hat sowohl ein Anfangs- als auch Enddatum. Zudem erlaubt es per Freitext zusatzliche Informationen auszugeben, die insbesondere
auch fur Abweichungen des offiziellen Publikationsdatum mit dem realen Publikationsdatum verwendbar sind. Im strukturierten Teil sollte dann jedoch
immer das Datum stehen, welches auch z.B. fir Berechnungen wie Sortierungen relevant ist.

#2 - 09/05/2016 01:30 PM - Wolf-Henning Kusber

Das Ticket umfasst zwei unterschiedliche Daten. Das Publikationsdatum (1) scheint nach Andreas M. ausreichend durch das CDM abgebildet zu
sein, es geht dabei um die Publikation oder die ganze Referenz.

Neu ist tatsachlich das Registrierungsdatum (2) einer Typisierung oder eines Namens. Dieses Datum ist an einen Namen oder nomenklatorischen

Akt geknipft und prinzipiell unabhéngig vom Publikationsdatum. Dabei sind die ersten Frage, wie es in die Architektur passt und wo das ins Modell
passt.

#3 - 09/05/2016 01:47 PM - Andreas Kohlbecker
- Description updated

#4 - 09/05/2016 01:52 PM - Andreas Kohlbecker
Wolf-Henning Kusber wrote:

Das Ticket umfasst zwei unterschiedliche Daten. Das Publikationsdatum (1) scheint nach Andreas M. ausreichend durch das CDM abgebildet zu
sein, es geht dabei um die Publikation oder die ganze Referenz.

Das ist vollkommen richtig, ich hatte dieses Ticket angelegt ohne diesen Sachverhalt ausreichend zu dokumentieren. Mir war zunachst nur
wichtig die essentiellen Informationen die in den tGber 1000 Emails die sich in meiner Inbox nach dem Urlaub befanden strukturiert festzuhalten.

Fir Registration date brauchen wir definitiv eine Erweiterung oder Ergédnzung des CDM.

#5 - 10/26/2016 05:39 PM - Andreas Kohlbecker
- Category set to Model
https://dev.e-taxonomy.eu/redmine/issues/6168

#6 - 10/26/2016 06:36 PM - Andreas Kohlbecker
- Description updated

#8 - 10/27/2016 10:36 AM - Andreas Kohlbecker

- Target version set to Technical planning completed

#9 - 10/27/2016 11:06 AM - Andreas Kohlbecker
- Description updated
- Status changed from New to In Progress

- Assignee set to Andreas Kohlbecker

#10 - 10/27/2016 12:25 PM - Andreas Kohlbecker

- Description updated

#11 - 10/27/2016 12:31 PM - Andreas Kohlbecker

- Description updated

#12 - 10/27/2016 12:31 PM - Andreas Kohlbecker

- Related to task #6168: Full registration workflow model added

#13 - 11/04/2016 11:16 AM - Andreas Kohlbecker

- Description updated

#14 - 11/04/2016 11:18 AM - Andreas Kohlbecker

- Description updated

#15 - 11/04/2016 11:19 AM - Andreas Kohlbecker

- Description updated

#16 - 11/04/2016 11:28 AM - Andreas Kohlbecker

- Description updated

#17 - 11/04/2016 11:41 AM - Andreas Kohlbecker

- Description updated

#18 - 11/04/2016 11:42 AM - Andreas Kohlbecker

- Description updated

#19 - 11/04/2016 11:42 AM - Andreas Kohlbecker

- Description updated

#20 - 11/04/2016 11:52 AM - Andreas Kohlbecker
- Description updated

- % Done changed from 0 to 50

#21 - 11/04/2016 11:59 AM - Andreas Kohlbecker
- Description updated

#22 - 12/08/2016 09:54 AM - Andreas Kohlbecker
- Description updated

#23 - 12/08/2016 09:55 AM - Andreas Kohlbecker
- Description updated

#24 - 12/08/2016 12:03 PM - Andreas Kohlbecker
- Description updated
#25 - 05/28/2019 12:58 PM - Andreas Kohlbecker

- Status changed from In Progress to Closed

completed
